Gem install rmagick --local

Hi all
i copied rmagic gem in my local system

cd rmagick-2.12.2.gem
bash: cd: rmagick-2.12.2.gem: Not a directory
[[email protected] shyam]# gem install rmagick --local

Building native extensions. This could take a while…
ERROR: Error installing rmagick:
ERROR: Failed to build gem native extension.

/usr/bin/ruby extconf.rb
checking for Ruby version >= 1.8.5… yes
checking for gcc… yes
checking for Magick-config… no
Can’t install RMagick 2.12.2. Can’t find Magick-config in
/usr/kerberos/sbin:/usr/lib/qt-3.3/bin:/usr/kerberos/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/imedsoft/bin

*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers. Check the mkmf.log file for more
details. You may need configuration options.

Provided configuration options:
–with-opt-dir
–without-opt-dir
–with-opt-include
–without-opt-include=${opt-dir}/include
–with-opt-lib
–without-opt-lib=${opt-dir}/lib
–with-make-prog
–without-make-prog
–srcdir=.
–curdir
–ruby=/usr/bin/ruby

Gem files will remain installed in
/usr/lib/ruby/gems/1.8/gems/rmagick-2.12.2 for inspection.
Results logged to
/usr/lib/ruby/gems/1.8/gems/rmagick-2.12.2/ext/RMagick/gem_make.out

plz help

Regards,
Shyam
+91-971-618-9650

On Feb 24, 12:56 pm, shyam mohan [email protected] wrote:

Gem files will remain installed in
/usr/lib/ruby/gems/1.8/gems/rmagick-2.12.2 for inspection.
Results logged to
/usr/lib/ruby/gems/1.8/gems/rmagick-2.12.2/ext/RMagick/gem_make.out

plz help

Do you have ImageMagick (and its development headers) installed ?

Fred

Hi Fred
Thanks for Rep…

when i use this command "convert -version "

Version: ImageMagick 6.4.0 07/27/08 Q16 http://www.imagemagick.org
Copyright: Copyright © 1999-2008 ImageMagick Studio LLC

at my local system
i try this tutorial

https://saltalert.wordpress.com/2006/06/30/rmagick-installation-on-linux/
but not able to install at my local system
plz help

Regards,
Shyam
+91-971-618-9650
http://sites.google.com/site/shyammohankanojia/cv

On Wed, Feb 24, 2010 at 7:12 PM, Frederick C. <

On Feb 24, 1:46 pm, shyam mohan [email protected] wrote:

Hi Fred
Thanks for Rep…

when i use this command "convert -version "

Version: ImageMagick 6.4.0 07/27/08 Q16http://www.imagemagick.org
Copyright: Copyright © 1999-2008 ImageMagick Studio LLC

What about Magick-config ? That’s what gem install process is
complaining about?

Fred

Please tell me
steps to config
right now i have not do…

Regards,
Shyam
+91-971-618-9650
http://sites.google.com/site/shyammohankanojia/cv

On Wed, Feb 24, 2010 at 7:20 PM, Frederick C. <

oo yaar did you install imagemagick
then pls update
i also faced these do not worry its usual
On Wed, Feb 24, 2010 at 6:26 PM, shyam mohan
[email protected]wrote:

details. You may need configuration options.
–srcdir=.

[email protected][email protected]
.
For more options, visit this group at
http://groups.google.com/group/rubyonrails-talk?hl=en.


Thanks:
Rajeev sharma

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs